Subject: RE: [Capwap] One issue "In order to support NAT, I recommend that LWAPP only support one UDP port for Control tunnel and Data Tunnel"

From: Michael Montemurro <[email-masked]>
Date: Thu, 16 Mar 2006 12:53:22 -0500

I created issue 82 as a bug to track this issue.

Cheers,

	Mike 

> -----Original Message-----
> From: David T. Perkins [mailto:[email-masked]] 
> Sent: February 27, 2006 10:21 PM
> To: zhaoyujin 31390
> Cc: [email-masked]
> Subject: Re: [Capwap] One issue "In order to support NAT, I 
> recommend that LWAPP only support one UDP port for Control 
> tunnel and Data Tunnel"
> 
> HI,
> 
> CAPWAP with NATs has come up from time to time on this list, 
> and people have claimed that it is a "typical" or "basic"
> scenario. I'm sorry, but I don't see it. Before the WG spends 
> time resolving this issue, I'd really like to see STRONG 
> justifications. That is, why would you deploy a CAPWAP system 
> split this way? And if CAPWAP didn't support this NAT split, 
> what would it cost you, or what would you not be able to do?
> 
> On Mon, 27 Feb 2006, zhaoyujin 31390 wrote:
> > Dear all:
> > 
> >   I recommend that LWAPP only support one UDP port for 
> Control tunnel and Data Tunnel. 
> > 
> >   LWAPP protocol uses UDP packets, so that it can directly 
> support NAT passthrough.
> > 
> >   One basic scenario is that WTP is behind NAT device and 
> AC is in public network. For control tunnel, there are no 
> problem. Because it is initiated by WTP, NAT device can 
> create corresponding table for LWAPP control tunnel packets. 
> > 
> >   The problems is:
> > 
> >    1. The data packets can not be firstly sent from AC to WTP.
> > 
> >    2. Even if WTP firstly sends pacekts, AC can get the 
> corresponding control tunnel with this LWAPP data tunnel 
> based on the packets.  Because in one NAT device, there may 
> be multiple WTP. All WTP's IP addresses are same which is NAT 
> device global IP address, and AC can not know the data 
> packets belonging to which AP.
> > 
> > 
> > Best regards
> > Yujin Zhao
> > H3Com
> 
> Regards,
> /david t. perkins
> 
> _________________________________________________________________
> To unsubscribe or modify your subscription options, please visit:
> http://lists.frascone.com/mailman/listinfo/capwap
> 
> Archives: http://lists.frascone.com/pipermail/capwap
> 
_________________________________________________________________
To unsubscribe or modify your subscription options, please visit:
http://lists.frascone.com/mailman/listinfo/capwap

Archives: http://lists.frascone.com/pipermail/capwap